Main Page Class Hierarchy Compound List File List Compound Members

# Segment Class Reference

Base class Segment. More...

`#include <segment.h>`

Inheritance diagram for Segment:

List of all members.

## Detailed Description

Base class Segment.

Segments are part of polygons and polylines and can be Line_Segment or Arc_Segment. \ca Line_Seg \ca Arc_Seg \ca G_Polygon \ca G_Polyline

The documentation for this class was generated from the following file:

- segment.h

Segment class Reference -- Thu Nov 28 21:24:57 2002 -- 28 Nov 2002 -- 1.2.18 -- -- . -- Main Page